summaryrefslogtreecommitdiff
path: root/kde-plasma
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-06-19 12:10:02 +0100
committerV3n3RiX <venerix@koprulu.sector>2024-06-19 12:29:31 +0100
commit8ff547d15172cf77ceae53b4dba6fbb894e9b61e (patch)
tree3b943fe4b1fbc97b3f0c029fd8c00612d6e6aded /kde-plasma
parent4a82b9dcb112a045dde224d7cf3eaa70b0a7e984 (diff)
kde-plasma/kinfocenter : version bump
Diffstat (limited to 'kde-plasma')
-rw-r--r--kde-plasma/kinfocenter/Manifest1
-rw-r--r--kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/kde-plasma/kinfocenter/Manifest b/kde-plasma/kinfocenter/Manifest
index eb95220b..807fda15 100644
--- a/kde-plasma/kinfocenter/Manifest
+++ b/kde-plasma/kinfocenter/Manifest
@@ -1 +1,2 @@
DIST kinfocenter-5.27.11.tar.xz 1018276 BLAKE2B 921832d3c52abfe35d3b77f34161c630d54c6fe8675eac6b2dcc343ab21b7c30b501216c9762aa90a8f5bfc036d2d8859a7419478ec38a85afcbf90315788cc1 SHA512 24a9df9fb28637e39293669569e4be896956ecfc3a27719821a1498f541aed220e7ebcd0e1a0b63051562690a9400b7fefc9c1217763c87009745e886573205e
+DIST kinfocenter-6.1.0.tar.xz 720676 BLAKE2B 58c00b5305ba72ca20bcb1b6a07c3b6194fe2fdb2aa5168cb82892327ba708f3c2a2d6f3990fcffcdbe17912fe7d979e3fb71bb03f40dfae2c3178b3680575c9 SHA512 18579d342b2bcaf0d1945a070c7e98417499575143f7b001d696b2c9680572a26775a916673e8eb11804a66c74f3e4aaac5dfedeb382d6fbcb52b5c12c9f052d
diff --git a/kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild b/kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild
new file mode 100644
index 00000000..32886717
--- /dev/null
+++ b/kde-plasma/kinfocenter/kinfocenter-6.1.0-r5.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="forceoptional"
+KFMIN=6.3.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=6.7.1
+inherit ecm plasma.kde.org optfeature
+
+DESCRIPTION="Utility providing information about the computer hardware"
+HOMEPAGE="https://userbase.kde.org/KInfoCenter"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="6"
+KEYWORDS="~amd64"
+IUSE="gles2-only usb"
+
+DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gles2-only=,gui,widgets]
+ >=dev-qt/qtdeclarative-${QTMIN}:6
+ >=kde-frameworks/kauth-${KFMIN}:6
+ >=kde-frameworks/kcmutils-${KFMIN}:6
+ >=kde-frameworks/kconfig-${KFMIN}:6
+ >=kde-frameworks/kcoreaddons-${KFMIN}:6
+ >=kde-frameworks/ki18n-${KFMIN}:6
+ >=kde-frameworks/kio-${KFMIN}:6
+ >=kde-frameworks/kservice-${KFMIN}:6
+ >=kde-frameworks/solid-${KFMIN}:6
+ gles2-only? ( || (
+ >=media-libs/mesa-24.1.0_rc1[opengl]
+ <media-libs/mesa-24.1.0_rc1[gles2]
+ ) )
+ usb? ( virtual/libusb:1 )
+"
+RDEPEND="${DEPEND}
+ || (
+ >=dev-qt/qttools-${QTMIN}:6[qdbus]
+ dev-qt/qdbus:*
+ )
+ >=kde-frameworks/kirigami-${KFMIN}:6
+ >=kde-plasma/kde-cli-tools-${PVCUT}:*
+ >=kde-plasma/systemsettings-${PVCUT}:6
+"
+BDEPEND=">=kde-frameworks/kcmutils-${KFMIN}:6"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package usb USB1)
+ -DCMAKE_DISABLE_FIND_PACKAGE_SeleniumWebDriverATSPI=ON # missing
+ )
+
+ ecm_src_configure
+}
+
+src_install() {
+ ecm_src_install
+
+ # TODO: Make this fully obsolete by /etc/os-release
+ insinto /etc/xdg
+ doins "${FILESDIR}"/kcm-about-distrorc
+
+ insinto /usr/share/${PN}
+ doins "${FILESDIR}"/glogo-small.png
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ optfeature "NFS information module" net-fs/nfs-utils
+ optfeature "Samba status information module" net-fs/samba
+ optfeature "Vulkan graphics API information module" dev-util/vulkan-tools
+ optfeature "advanced CPU information module" sys-apps/util-linux
+ fi
+ optfeature "Wayland information module" app-misc/wayland-utils
+ optfeature "Firmware security module" "app-text/aha sys-apps/fwupd"
+ optfeature "OpenGL information module" x11-apps/mesa-progs
+ optfeature "PCI devices information module" sys-apps/pciutils
+ optfeature "X Server information module" x11-apps/xdpyinfo
+ ecm_pkg_postinst
+}